curl --request GET \
--url https://softmax.com/api/observatory/v2/reporters/{reporter_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://softmax.com/api/observatory/v2/reporters/{reporter_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://softmax.com/api/observatory/v2/reporters/{reporter_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"display_name": "<string>",
"description": "<string>",
"user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"author": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"is_softmax_team_member": true,
"discord_id": "<string>",
"created_at": "2023-11-07T05:31:56Z"
},
"latest_version": 123,
"outputs": [
{
"name": "<string>",
"type": "render-html",
"description": "<string>",
"schema": "<string>",
"optional": false
}
],
"run_count": 0,
"output_count": 0,
"purpose": "<string>",
"latest_output": {
"id": "<string>",
"reporter_id": "<string>",
"reporter_run_id": "<string>",
"name": "<string>",
"type": "<string>",
"size_bytes": 123,
"content_hash": "<string>",
"media_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"url": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Get a reporter
Returns reporter metadata, its latest visible version purpose, and its latest visible output.
Authorizations
Bearer token issued by Softmax
Path Parameters
Reporter to retrieve.
^rptr_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$Response
Successful Response
Reporter details with the latest hosted purpose and output sample.
Reporter ID.
Owner-scoped reporter name.
Human-readable reporter name.
Explanation of what the reporter does.
User who owns the reporter.
Time the reporter was created.
Public profile of the reporter owner.
Show child attributes
Show child attributes
Latest visible hosted version number. Null identifies an external reporter.
Output parts declared by the reporter.
Show child attributes
Show child attributes
Number of visible hosted runs.
Number of visible output parts.
Purpose declared by the latest hosted version, if any.
Most recent output part visible to the caller, if any.
Show child attributes
Show child attributes